UMOUNT(8)

NAZWA
umount - odmontowuje systemy plików

SKŁADNIA

umount -a [-dflnrv] [-t typ-systemu-plików] [-O opcja...]

umount [-dflnrv] {katalog|urządzenie}

umount -h|-V

OPIS

Polecenie umount odłącza wymienione systemy plików z hierarchii plików. System plików jest określany przez podanie katalogu, w którym został zamontowany. Podanie urządzenia, na którym system plików istnieje, może również działać, jednakże jest przestarzałe, głównie dlatego, że zawiedzie, gdy urządzenie jest zamontowane w więcej niż jednym katalogu.

Proszę zauważyć, że system plików nie może być odmontowany, gdy jest "busy" (zajęty) - na przykład, gdy są na nim otwarte pliki, gdy jakiś proces ma tam swój katalog roboczy albo gdy w użytku jest znajdujący się na nim plik wymiany. Przeszkadzającym procesem może być nawet sam umount - otwiera on libc, zaś libc z kolei może otwierać na przykład pliki ustawień locale. Leniwe odmontowywanie ("lazy umount") rozwiązuje ten problem, choć może być przyczyną kolejnych kłopotów. Więcej informacji znajduje się poniżej, w opisie opcji --lazy.

OPCJE

-a, --all
    Wszystkie systemy plików opisane w /proc/self/mountinfo (lub w przestarzałym /etc/mtab) są odmontowywane, poza następującymi: proc, devfs, devpts, sysfs, rpc_pipefs i nfsd. Tę listę wyjątków można zastąpić podając opcję --types.

-A, --all-targets
    Odmontowuje wszystkie punkty montowanie w bieżącej przestrzeni nazw montowań dla podanego systemu plików. System plików można podać za pomocą jednego z punktów montowania lub za pomocą nazwy urządzenia (lub UUID itp.). Jeśli ta opcja jest użyta łącznie z --recursive, to wszystkie montowania zagnieżdżone w tym systemie plików są odmontowywane. Opcja jest obsługiwane tylko w systemach, w których /etc/mtab jest dowiązaniem symbolicznym do /proc/mounts.

-c, --no-canonicalize
    Nie normalizuje ścieżek. Normalizacja ścieżek zachodzi przy pomocy wywołań systemowych stat(2) i readlink(2). W niektórych przypadkach mogą się one zawiesić (np. jeśli serwer NFS jest niedostępny). Opcja musi być użyta w połączeniu ze znormalizowaną ścieżką do punktu montowania.

    Opcja po cichu ignorowana przez umount dla użytkowników innych niż root.

    Więcej szczegółów na temat tej opcji można uzyskać, zapoznając się ze stroną podręcznika mount(8). Proszę zauważyć, że umount nie przekazuje tej opcji programom pomocniczym /sbin/umount.typ.

-d, --detach-loop
    Jeśli odmontowane urządzenie było urządzeniem loop, to także zwalnia to urządzenie. Opcja ta jest niepotrzebna, jeśli urządzenie było inicjowane przez mount(8) - w takim przypadku domyślnie była włączona funkcjonalność "autoclear".

--fake
    Powoduje wykonywanie wszystkiego poza faktycznym wywołaniem funkcji systemowej lub pomocniczego programu odmontowywania. Jeśli nie jest to oczywiste: "udaje" to odmontowanie systemu plików. Opcja może być używana do usuwania wpisów z przestarzałego /etc/mtab dla urządzeń, które zamontowano wcześniej z opcją -n.

-f, --force
    Wymusza odmontowanie (w przypadku nieosiągalnego systemu NFS).

    Proszę zauważyć, że ta opcja nie gwarantuje, że polecenie umount się nie zawiesi. Zaleca się używanie pełnych ścieżek nie zawierających dowiązań symbolicznych, aby umount mógł uniknąć niepotrzebnych wywołań systemowych readlink(2) oraz stat(2) na nieosiągalnym systemie NFS.

-i, --internal-only
    Nie wywołuje programu pomocniczego /sbin/umount.system-plików, nawet jeśli istnieje. Domyślnie program pomocniczy jest wywoływany, jeśli istnieje.

-l, --lazy
    Leniwe odmontowanie ("lazy umount"). Od razu odłącza system plików od hierarchii systemu plików i czyści wszystkie referencje do tego systemu plików, gdy tylko przestanie być zajęty ("busy").

    Po użyciu tej opcji w stosunku do sieciowego systemu plików lub lokalnego systemu plików z podmontowaniami zakłada się, że w niedalekiej przyszłości system zostanie przeładowany. Przypadkiem, w którym zaleca się skorzystanie z opcji umount -l jest uniknięcie przestojów przy wyłączaniu systemu ze względu na nieosiągalny udział sieciowy, w którym zwykłe umount zawiesi się ze względu na wyłączony serwer lub partycję sieciową. Ponowne zamontowanie danego udziału nie będzie możliwe.

-N, --namespace pn
    Przeprowadza umount w przestrzeni nazw montowań zdefiniowanej w pn. pn to albo PID procesu działającego w tej przestrzeni nazw albo plik specjalny reprezentujący tę przestrzeń.

    umount przełącza się na przestrzeń nazw gdy odczytuje /etc/fstab, zapisuje /etc/mtab (lub pisze do /run/mount) i wywołuje wywołanie systemowe umount(2), w innych przypadkach działa w oryginalnej przestrzeni nazw. Oznacza to, że docelowa przestrzeń nazw montowań nie musi zawierać żadnych bibliotek lub innych wymaganych składników do wykonania polecenia umount(2).

    Więcej informacji można znaleźć w podręczniku mount_namespaces(7).

-n, --no-mtab
    Odmontowuje bez zapisywania w /etc/mtab.

-O, --test-opts opcja...
    Odmontowuje tylko te systemy plików, które mają podane opcje wpisane w /etc/fstab. Można podać więcej niż jedną opcję, używając listy oddzielanej przecinkami. Lista opcji może być poprzedzona słowem no, aby podać opcje, dla których nie powinna być podejmowana żadna akcja.

-q, --quiet
    Wyłącza komunikaty "nie zamontowano".

-R, --recursive
    Rekurencyjnie odmontowuje podany katalog. Rekurencja zostanie przerwana, jeśli którakolwiek z operacji odmontowania w łańcuchu zwróci błąd z jakiegokolwiek powodu. Związek między punktami montowania jest określany na podstawie wpisów w /proc/self/mountinfo. System plików musi być podany za pomocą ścieżki; odmontowywanie rekurencyjne za pomocą nazwy urządzenia (lub jego UUID) nie jest obsługiwane. Od wersji 2.37 odmontowuje również wszystkie "nadmontowane" systemy plików (sytuacja, gdy kilka systemów plików jest zamontowanych w tym samym punkcie montowania).

-r, --read-only
    Jeśli odmontowanie się nie powiedzie, próbuje zamontować ponownie w trybie tylko do odczytu.

-t, --types typ...
    Wskazuje, że akcje powinny być dokonywane tylko na systemach plików określonego typu. Można podać więcej niż jeden typ, używając listy oddzielanej przecinkami. Lista systemów plików może być poprzedzona słowem no, aby wskazać, że akcja wymienionych systemów plików nie dotyczy. Proszę zauważyć, że umount czyta informacje o zamontowanych systemach plików z jądra (/proc/mounts) i nazwy systemów plików mogą się różnić od nazwy podanych w /etc/fstab (np. "nfs4" vs "nfs").

-v, --verbose
    Tryb szczegółowy (verbose).

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

ODMONTOWANIA PRZEZ ZWYKŁYCH UŻYTKOWNIKÓW

Tradycyjnie, tylko superużytkownik może odmontowywać systemy plików. Jednak jeśli fstab w danym wierszu zawiera opcję user, to każdy może odmontować odpowiadający temu wpisowi system plików. Więcej informacji znajduje się w podręczniku mount(8).

Od wersji 2.34 polecenie umount można użyć do operacji odmontowania również dla systemów plików fuse, jeśli tabela montowań jądra zawiera ID użytkownika. W takim przypadku opcja montowania fstab user= nie jest wymagana.

Since version 2.35 umount command does not exit when user permissions are inadequate by internal libmount security rules. It drops suid permissions and continue as regular non-root user. This can be used to support use-cases where root permissions are not necessary (e.g., fuse filesystems, user namespaces, etc).

URZĄDZENIE PĘTLI ZWROTNEJ - LOOP DEVICE

Polecenie umount automatycznie odłączy urządzenie loop poprzednio zainicjowane przez mount(8), niezależnie od /etc/mtab.

In this case the device is initialized with "autoclear" flag (see losetup(8) output for more details), otherwise it’s necessary to use the option --detach-loop or call losetup -d device. The autoclear feature is supported since Linux 2.6.25.

ZEWNĘTRZNE PROGRAMY POMOCNICZE

Składnia zewnętrznych programów pomocniczych umount jest następująca:

    umount.przyrostek {katalog|urządzenie} [-flnrv] [-N przestrzeń-nazw] [-t typ.podtyp]

gdzie przyrostek jest typem systemu plików (lub wartością z opcji mtab "uhelper=" lub "helper="). Opcja -t jest używana do systemów plików, które obsługują podtypy. Na przykład:

    umount.fuse -t fuse.sshfs

Gdy użytkownik niebędący rootem chce odmontować punkt montowania, którego niezdefiniowano w /etc/fstab (np. urządzenie zamontowane przez udisks(1)), można w /etc/mtab użyć opcji uhelper=coś (nieuprzywilejowany program pomocniczy umount).

A helper=type marker in the mtab file will redirect all unmount requests to the /sbin/umount.type helper independently of UID.

Note that /etc/mtab is currently deprecated and helper= and other userspace mount options are maintained by libmount.

ŚRODOWISKO

LIBMOUNT_FSTAB=<ścieżka>
    nadpisuje domyślną lokalizację pliku fstab (ignorowane w przypadku suid)

LIBMOUNT_MTAB=<ścieżka>
    nadpisuje domyślną lokalizację pliku mtab (ignorowane w przypadku suid)

LIBMOUNT_DEBUG=all
    włącza komunikaty debugowania biblioteki libmount

PLIKI

/etc/mtab
    tabela zamontowanych systemów plików (przestarzałe i zwykle zastępowane przez dowiązanie symboliczne do /proc/mounts)

/etc/fstab
    tabela zamontowanych systemów plików

/proc/self/mountinfo
    tabela zamontowanych systemów plików tworzona przez jądro

HISTORIA

Polecenie umount pojawiło się w wersji 6 AT&T UNIX.

ZOBACZ TAKŻE

umount(2), losetup(8), mount_namespaces(7), mount(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

Polecenie umount jest częścią pakietu util-linux i można je pobrać ze strony

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.